OVDB_MONITOR(8)

NAME
ovdb_monitor - Database maintenance

SYNOPSIS
Use ovdb_init to start ovdb_monitor

DESCRIPTION
When started (normally by ovdb_init that is invoked by rc.news), ovdb_monitor forks three processes that perform routine database maintenance tasks. These are transaction checkpointing, deadlock detection, and transaction log removal.

The process ID of the parent is written to ovdb_monitor.pid in the pathrun directory. This PID is used by other INN commands to verify that ovdb_monitor is running.

To shut down ovdb_monitor, send a TERM signal to the process ID in ovdb_monitor.pid. The parent process will shut down the three children and wait for their exit before exiting itself. Note that when running the "rc.news stop" command to stop the news system, rc.news automatically takes care of stopping ovdb_monitor.

HISTORY
Written by Heath Kehoe <hakehoe@avalon.net> for InterNetNews.

SEE ALSO
ovdb(5), ovdb_init(8), rc.news(8).